package net.taehui.twilight

import org.apache.hc.client5.http.impl.classic.AbstractHttpClientResponseHandler
import org.apache.hc.core5.http.HttpEntity

class HCDataHandler : AbstractHttpClientResponseHandler<ByteArray>() {
    override fun handleEntity(entity: HttpEntity): ByteArray {
        entity.content.use { return it.readAllBytes() }
    }
}